<?php
require("../snippets/autoload.php");

$alert = new RequestMsg();

AutomaticAssignment($_POST, $alert);
$alert->Sender = $LoggedUser;
if($alert->InsertRecord()){
  $response_request["type"] = "success";

  $mail = new Mail();
  $mail->ShortDescription = "Nuevo comentario de cliente";
  $mail->LongDescription = "Tienes un nuevo comentario del cliente en el proyecto con id #".$_POST["Request"].". Comentario: ".$_POST["Message"]." inicia sesión en el administrador para responder";
  $mail->Url = "https://roc.work/precisetranslations/admin/project.php?uk=".$_POST["Request"];
  $user = new UserAccount();
  $alert = new Alert();
  $list = $user->GetRecordsAdmin();
  foreach ($list as $item) {
    $mail->DestinationName = $item["FullName"];
    $mail->SendEmail("Precise Translation - Nuevo comentari ode cliente con el proyecto id #".$_POST["Request"],$item["Email"]);
    $alert->Destination = $item["Id"];
    $alert->Description = "New Comment in project!";
    $alert->Url = "project.php?uk=".$_POST["Request"];
    $alert->InsertRecord();
  }
}else{
  $response_request["type"] = "error";
}
echo json_encode($response_request);